> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1custom fields



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/custom-fields/{customField}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/custom-fields/{customField}:
    put:
      tags:
        - CustomFields
      operationId: custom-fields.update
      parameters:
        - name: customField
          in: path
          required: true
          description: The custom field ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 255
                key:
                  type: string
                  enum:
                    - custom1_str
                    - custom2_str
                    - custom3_str
                    - custom4_str
                    - custom5_str
                    - custom1_int
                    - custom2_int
                    - custom3_int
                    - custom4_int
                    - custom5_int
                    - custom1_dec
                    - custom2_dec
                    - custom1_datetime
                    - custom2_datetime
                    - custom3_datetime
                    - custom4_datetime
                    - custom5_datetime
                    - foreign_id
                  maxLength: 255
              required:
                - name
                - key
      responses:
        '200':
          description: '`CustomFieldResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CustomFieldResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    CustomFieldResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        key:
          type: string
        type:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - key
        - type
        - created_at
      title: CustomFieldResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````